import Head from 'next/head'
import Image from 'next/image'
import styles from '../styles/Home.module.css'
import Players from '../components/players'
import { playersService } from '../services/players'
import { Player } from '../types/player'

interface Props {
  players: Player[]
}

const Home = ({ players }: Props): JSX.Element => {
  return (
    <div className={styles.container}>
      <Head>
        <title>FIFA 23 UT</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main className={styles.main}>
        <Players players={players} />
      </main>

      <footer className={styles.footer}>
        <a
          href="https://vercel.com?utm_source=create-next-app&utm_medium=default-template&utm_campaign=create-next-app"
          target="_blank"
          rel="noopener noreferrer"
        >
          We are here, on Workshop!!!
          <span className={styles.logo}>
            <Image src="/vercel.svg" alt="Vercel Logo" width={72} height={16} />
          </span>
        </a>
      </footer>
    </div>
  )
}

export async function getServerSideProps () {
  const players = await playersService()

  return { props: { players } }
}

export default Home
